<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
 
<mapper namespace="com.mx.dla.dda.contrato.broadview.daos.ContratoBroadviewDAO">

    <resultMap id="resultsTransaccionBroadview" type="ContratoBroadviewDTO">
		<result property="idContratoBroadview" column="ID_CNT_BV" />
		<result property="idBroadview" column="ID_BV" />	
		<result property="descripcionTitulo" column="DESC_TITULO" />				
	</resultMap>

   <select id="consultaBroadviewTitulos"  resultMap="resultsTransaccionBroadview" 
		parameterType="map">
          SELECT
             cbv.ID_CNT_BV,
             cbv.ID_BV,
             cbv.DESC_TITULO
          FROM DDA_T_CONTRATO_BV cbv
          WHERE cbv.ID_CNT_BV = #{idContratoBroadview, javaType=Long, jdbcType=NUMERIC}
          ORDER BY cbv.DESC_TITULO
	</select>

</mapper>